{% extends "admin_base.html" %}


{% block content %}



    
        <div class="row">
            <div class="col-sm-12">
               
               <form id="add-item-form" enctype="multipart/form-data" method="post">
           
              
                {% for key in bp.content_part_keys %}
                   
                    {% if key.get().category == "TITLE" %}
                    <input required class="form-control" name="{{key.id()}}" id="titles" value="{{key.get().text}}">
                       
                    {% endif %}

                    {% if key.get().category == "IMAGE" %}
                        <img style="width: 100%; height: 400px;" src="https://storage.googleapis.com{{key.get().text}}"  class="img-rounded">
                        <input name="{{key.id()}}" type="file" class="form-control" id="picture">
                    {% endif %}

                    {% if key.get().category == "SUBTITLE" %}
                        <input required class="form-control" name="{{key.id()}}" id="titles" value="{{key.get().text}}">
                    {% endif %}

                    {% if key.get().category == "LINK" %}
                       <input required class="form-control" name="{{key.id()}}" id="titles" value="{{key.get().text}}">
                    {% endif %}
                    
                    {% if key.get().category == "TEXT" %}

                    <textarea required rows="4" cols="50"  name="{{key.id()}}">{{key.get().text}}</textarea>
                        
                    {% endif %}

                {% endfor %}
                <div class="form-group">
                <button class="btn btn-large btn-info" id="add-btn" >Update</button>
            </div>
                </form>
            </div>   
            <br>
            
                
        </div>
   


        {% endblock %}

        {% block scripts %}
     

        {% endblock %}


